I=(S=Resources.Factories = function(){
}).prototype;

S._typeInitState = 0;
S.bg_zEJXTYAeaf = function()
{
    return Uno.Graphics.Texture2D.$1("background.jpg");
};

S.IndexBuffer_lUcSsTVHWq = function()
{
    var result = Uno.Graphics.IndexBuffer.$0(38808, false);
    uglLoadPngAsBytes("buffers/IndexBuffer_lUcSsTVH.50bf1e9d.png", 38808, Uno.Delegate.$0(result.SetData, result));
    return result;
};

S.VertexBuffer_XfGrNrtAdP = function()
{
    var result = Uno.Graphics.VertexBuffer.$0(81456, false);
    uglLoadPngAsBytes("buffers/VertexBuffer_XfGrNrt.1af5e5c8.png", 81456, Uno.Delegate.$0(result.SetData, result));
    return result;
};

S.VertexBuffer_LXElrLJdQA = function()
{
    var result = Uno.Graphics.VertexBuffer.$0(27152, false);
    uglLoadPngAsBytes("buffers/VertexBuffer_LXElrLJ.50d64b7c.png", 27152, Uno.Delegate.$0(result.SetData, result));
    return result;
};

S.IndexBuffer_jhUNUAWRsQ = function()
{
    var result = Uno.Graphics.IndexBuffer.$0(38040, false);
    uglLoadPngAsBytes("buffers/IndexBuffer_jhUNUAWR.fd61d3a0.png", 38040, Uno.Delegate.$0(result.SetData, result));
    return result;
};

S.VertexBuffer_RXdXioPCcB = function()
{
    var result = Uno.Graphics.VertexBuffer.$0(81768, false);
    uglLoadPngAsBytes("buffers/VertexBuffer_RXdXioP.fda63d48.png", 81768, Uno.Delegate.$0(result.SetData, result));
    return result;
};

S.VertexBuffer_RBVzvHGiTz = function()
{
    var result = Uno.Graphics.VertexBuffer.$0(27256, false);
    uglLoadPngAsBytes("buffers/VertexBuffer_RBVzvHG.7a856f5c.png", 27256, Uno.Delegate.$0(result.SetData, result));
    return result;
};

S.IndexBuffer_BWmBPwTxps = function()
{
    var result = Uno.Graphics.IndexBuffer.$0(720, false);
    uglLoadPngAsBytes("buffers/IndexBuffer_BWmBPwTx.b83baed7.png", 720, Uno.Delegate.$0(result.SetData, result));
    return result;
};

S.VertexBuffer_mVFgaSRPFm = function()
{
    var result = Uno.Graphics.VertexBuffer.$0(1596, false);
    uglLoadPngAsBytes("buffers/VertexBuffer_mVFgaSR.29923149.png", 1596, Uno.Delegate.$0(result.SetData, result));
    return result;
};

S.textureMap_FdRcNFYYfw = function()
{
    return Uno.Graphics.Texture2D.$1("pattern.jpg");
};

S.envMap_qFlfgRgAcd = function()
{
    return Uno.Graphics.Texture2D.$1("envmap2.jpg");
};

S.VertexBuffer_INbdfiOFeA = function()
{
    var result = Uno.Graphics.VertexBuffer.$0(532, false);
    uglLoadPngAsBytes("buffers/VertexBuffer_INbdfiO.94bfdf9d.png", 532, Uno.Delegate.$0(result.SetData, result));
    return result;
};

S.envMap2_okOmvBDYMN = function()
{
    return Uno.Graphics.Texture2D.$1("envmap.jpg");
};

S.IndexBuffer_wqnsPCZKeg = function()
{
    var result = Uno.Graphics.IndexBuffer.$0(408, false);
    uglLoadPngAsBytes("buffers/IndexBuffer_wqnsPCZK.c7aea020.png", 408, Uno.Delegate.$0(result.SetData, result));
    return result;
};

S.VertexBuffer_KEdfOdcAJv = function()
{
    var result = Uno.Graphics.VertexBuffer.$0(1896, false);
    uglLoadPngAsBytes("buffers/VertexBuffer_KEdfOdc.e6d02efa.png", 1896, Uno.Delegate.$0(result.SetData, result));
    return result;
};

S.VertexBuffer_WStocqEJJu = function()
{
    var result = Uno.Graphics.VertexBuffer.$0(632, false);
    uglLoadPngAsBytes("buffers/VertexBuffer_WStocqE.9a8828a2.png", 632, Uno.Delegate.$0(result.SetData, result));
    return result;
};

S._TypeInit = function()
{
    if (Resources.Factories._typeInitState == 2)
    {
        return;
    }

    if (Resources.Factories._typeInitState == 1)
    {
        throw Uno.Exception.$0("TypeInitializer failed");
    }

    Resources.Factories._typeInitState = 1;
    Uno.ResourceManager.AddFactory("VertexBuffer_WStocqEJJu", Uno.Delegate.$0(Resources.Factories.VertexBuffer_WStocqEJJu));
    Uno.ResourceManager.AddFactory("VertexBuffer_KEdfOdcAJv", Uno.Delegate.$0(Resources.Factories.VertexBuffer_KEdfOdcAJv));
    Uno.ResourceManager.AddFactory("IndexBuffer_wqnsPCZKeg", Uno.Delegate.$0(Resources.Factories.IndexBuffer_wqnsPCZKeg));
    Uno.ResourceManager.AddFactory("envMap2_okOmvBDYMN", Uno.Delegate.$0(Resources.Factories.envMap2_okOmvBDYMN));
    Uno.ResourceManager.AddFactory("VertexBuffer_INbdfiOFeA", Uno.Delegate.$0(Resources.Factories.VertexBuffer_INbdfiOFeA));
    Uno.ResourceManager.AddFactory("envMap_qFlfgRgAcd", Uno.Delegate.$0(Resources.Factories.envMap_qFlfgRgAcd));
    Uno.ResourceManager.AddFactory("textureMap_FdRcNFYYfw", Uno.Delegate.$0(Resources.Factories.textureMap_FdRcNFYYfw));
    Uno.ResourceManager.AddFactory("VertexBuffer_mVFgaSRPFm", Uno.Delegate.$0(Resources.Factories.VertexBuffer_mVFgaSRPFm));
    Uno.ResourceManager.AddFactory("IndexBuffer_BWmBPwTxps", Uno.Delegate.$0(Resources.Factories.IndexBuffer_BWmBPwTxps));
    Uno.ResourceManager.AddFactory("VertexBuffer_RBVzvHGiTz", Uno.Delegate.$0(Resources.Factories.VertexBuffer_RBVzvHGiTz));
    Uno.ResourceManager.AddFactory("VertexBuffer_RXdXioPCcB", Uno.Delegate.$0(Resources.Factories.VertexBuffer_RXdXioPCcB));
    Uno.ResourceManager.AddFactory("IndexBuffer_jhUNUAWRsQ", Uno.Delegate.$0(Resources.Factories.IndexBuffer_jhUNUAWRsQ));
    Uno.ResourceManager.AddFactory("VertexBuffer_LXElrLJdQA", Uno.Delegate.$0(Resources.Factories.VertexBuffer_LXElrLJdQA));
    Uno.ResourceManager.AddFactory("VertexBuffer_XfGrNrtAdP", Uno.Delegate.$0(Resources.Factories.VertexBuffer_XfGrNrtAdP));
    Uno.ResourceManager.AddFactory("IndexBuffer_lUcSsTVHWq", Uno.Delegate.$0(Resources.Factories.IndexBuffer_lUcSsTVHWq));
    Uno.ResourceManager.AddFactory("bg_zEJXTYAeaf", Uno.Delegate.$0(Resources.Factories.bg_zEJXTYAeaf));
    Resources.Factories._typeInitState = 2;
};
